<?php

class manage {

public function __construct(){
		global $err;
		
		$act=preg_replace('/[^a-z_]/','',$_GET['act']);
		if($act){
			call_user_func(array(&$this,$act));
		} 
	}

	public function get(){
		global $DB;
		$data = $DB->selectPage($totalCount,"SELECT * FROM iface");
		$json=array("totalCount"=>$totalCount,"data"=>$data);
		echo json_encode($json);
	}
	
	public function save(){
		global $DB;

		$iface_id=intval($_GET[iface_id]);

		if($_POST['name']!="Введите имя интерфейса")$obj["name"]=preg_replace("/[^a-zA-Z0-9_]/",'',$_POST['name']);;
		if($_POST['ip']!="IP-адрес назначенный интерфейсу")$obj["ip"]=$_POST['ip'];
		if($_POST['ip_route']!="IP-адрес шлюза")$obj["ip_route"]=$_POST['ip_route'];		
		if(($_POST['type']=="lan") || ($_POST['type']=="out"))$obj["type"]=$_POST['type'];
		if($iface_id==0){
			if(!$obj["name"]) error("Вы не ввели имя интерфейса"); 
			if(!$obj["ip"]) error("Вы не ввели IP-адрес назначенный интерфейсу");
			if(!$obj["type"]) error("Вы не выбрали тип интерфейса");
			$DB->query("INSERT INTO iface set ?a",$obj);
		} else {
			$DB->query("UPDATE iface set ?a WHERE id=?d",$obj,$iface_id);
		}
		
		success();
	}
	
	public function addnat(){
		global $DB;

		$iface_id=intval($_GET[iface_id]);
		
		$nat_ip= $DB->selectCell("SELECT nat_ip FROM iface WHERE id=$iface_id");
		
		if($_POST['nat_ip']!="xxx.xxx.xxx.xxx/xx")$obj["nat_ip"]=$_POST['nat_ip'];
		if(mb_strlen($nat_ip,'utf-8')>7) $obj["nat_ip"]=$nat_ip.",".$obj['nat_ip'];
		$DB->query("UPDATE iface set ?a WHERE id=?d",$obj,$iface_id);
	
		success();
	}
	
	public function clearnat(){
		global $DB;

		$iface_id=intval($_GET[iface_id]);
		$obj["nat_ip"]='';
		
		$DB->query("UPDATE iface set ?a WHERE id=?d",$obj,$iface_id);
	
		success();
	}
	
}
?>